import request from "@/utils/request";

const BASE_URL = "/sf-work/follow-temp";
// 随访管理-随访模板列表
export function followUpPlanPageList(query) {
  return request({
    url: `${BASE_URL}/list`,
    method: "get",
    params: query,
  });
}

// 随访模板2
export function getFollowupTemplateListApi(data) {
  return request({
    url: `${BASE_URL}/select-common-page`,
    method: 'post',
    data
  })
}

// 随访管理-随访模板-新增
export function addFollowUpPlan(data) {
  return request({
    url: `${BASE_URL}/save`,
    method: "post",
    data,
  });
}

// 随访管理-随访模板-批量发布模板
export function publishFollowUpPlanApi(data) {
  return request({
    url: `${BASE_URL}/batch-publish`,
    method: "post",
    data,
  });
}

// 随访管理-随访模板-全量更新
export function updateFollowUpPlan(data) {
  return request({
    url: `${BASE_URL}/save`,
    method: "put",
    data,
  });
}

// 随访管理-删除随访模板
export function delFollowUpPlan(id) {
  return request({
    url: `${BASE_URL}/del/${id}`,
    method: "post",
  });
}

// 随访管理--随访模板-发布/下线
export function switchPlanStatus(id) {
  return request({
    url: `${BASE_URL}/edit/${id}`,
    method: "patch",
  });
}

// 随访管理-随访模板-待办事项列表
export function getPlanItemList(query) {
  return request({
    url: `${BASE_URL}-item/list`,
    method: "get",
    params: query,
  });
}

// 随访管理-随访模板详情
export function getPlanDetail(id) {
  return request({
    url: `${BASE_URL}/detail/${id}`,
    method: "get",
  });
}

// 随访管理-文章列表
export function getArticlePageApi(data) {
  return request({
    url: `${BASE_URL}/select-article-page`,
    method: 'post',
    data
  })
}
